developers.activity.get
curl --request POST \
--url https://platform.trylath.com/developers/activity/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://platform.trylath.com/developers/activity/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/developers/activity/get"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/developers/activity/get"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"activity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorType": "<string>",
"actorId": "<string>",
"actorLabel": "<string>",
"operation": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"result": "ok",
"errorCode": "<string>",
"source": "dashboard",
"durationMs": 0,
"errorMessage": "<string>",
"errorFix": "<string>",
"input": "<unknown>",
"resourceIds": {},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"payload": {},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}
}developers.activity.get
Opens one activity row: who acted and through which surface, whether it worked and — when refused — the error code, message and fix the caller received, how long it took, the input with secrets and message bodies redacted, the ids of what it created or changed, and the events it raised.
POST
/
developers
/
activity
/
get
developers.activity.get
curl --request POST \
--url https://platform.trylath.com/developers/activity/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://platform.trylath.com/developers/activity/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/developers/activity/get"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/developers/activity/get"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"activity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actorType": "<string>",
"actorId": "<string>",
"actorLabel": "<string>",
"operation": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"result": "ok",
"errorCode": "<string>",
"source": "dashboard",
"durationMs": 0,
"errorMessage": "<string>",
"errorFix": "<string>",
"input": "<unknown>",
"resourceIds": {},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"payload": {},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}
}Authorizations
A Lath API key: lath_live_… or lath_test_… on a server, lath_live_pk… or lath_test_pk… in a browser.
Body
application/json
An activity id, from developers.activity.list or the activityId any mutation returns
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Last modified on September 23, 2026
Was this page helpful?

